View Issue Details

IDProjectCategoryView StatusLast Update
0000340VisualDifferGeneralpublic2022-01-03 10:37
Reporterbimbomix1 Assigned Toadmin  
PriorityurgentSeveritymajorReproducibilitysometimes
Status closedResolutionunable to reproduce 
Product Version1.8.2 
Summary0000340: SSHFS Mounted Volume
Descriptionsshfs -o allow_other,IdentityFile=/Users/...../.ssh/.id_rsa root@domain:/usr/src/repo/... /Users/bimbomix1/mnt/.../

I'm using this command to mount my remote folder on my mac ..
it works great .. i can do everything .. copy delete create ..

i can compare with visual differ too but ....
for some files .. example hidden ... there is a error ... cannot perform this action ...

when it works sometimes ... if i copy from left to right ... and there is something on the other side ... the right file become empty ..

without knowing i put on secured paths ... /var/folder ... it works a little bit because i can do actions without forbidden message with more file but ... the problem is the same ...

Can u help me ?
TagsNo tags attached.

Activities

admin

2021-09-02 10:56

administrator   ~0000639

Hi,

I'm sorry you have this problem, I never used visualdiffer with mount ssh volumes (honestly any mount volume, like SMB), I will setup an env trying to reproduce the problem.

VisualDiffer uses standand Apple file API and this makes more difficult to understand where the problem occurs.

Do you have this problem with some MacOS specific version?

bimbomix1

2021-09-02 15:12

reporter   ~0000640

I have everything at last version
OS X
visualdiffer
Fuse sshfs

bimbomix1

2021-09-02 16:01

reporter   ~0000641

This some screenshot .. .. i have those two folders
right is on ssh
left is on my pc

1) try copy visual.vdiff to right (on the right doesn't exists)
result : copied but size is zero
2) try to copy NOTE
result : error
3) try to copy docker-compose.yml to right (and it exists)
result : now file size is 0.

screenshots are in the right time sequence .. hope this help you understand more ..

if i do this with terminal .. it works great !

bimbomix1

2021-09-02 16:03

reporter   ~0000642

basically there is no way to move it and keep size and content ..

bimbomix1

2021-09-02 16:03

reporter   ~0000643

Oh both folders are in paths list .. and .. /var/folders too

admin

2021-09-03 05:53

administrator   ~0000644

THanks for your addictional feedback, I must setup a similar env (ssh fuse) so I need time but this bug (very nasty) is under my radar.

May you check if the console.app contains OS log relative to VisualDiffer? VD contains must checks about IO errors so it's very strange it completes without any error.
If the VisualDiffer error console contains something please post its content, too.

admin

2021-09-03 09:33

administrator   ~0000645

Please apologize for the stupid question, may you try to avoid to use /var/folders? This folder should contain temp files deleted by OS automatically

bimbomix1

2021-09-03 12:08

reporter   ~0000646

I'm investigating
this is strange
Sandbox: VisualDiffer(2612) deny(1) file-read-data /Users/bimbomix1/Applications/ScummVM.app/Contents/PkgInfo
Violation: deny(1) file-read-data /Users/bimbomix1/Applications/ScummVM.app/Contents/PkgInfo

I'm not using visual differ on this folder .. basically this is really strange .. i'm not accessing now to this app .. and app in not included on left or right size of visualdiffer........

maybe because i have / on my trusted paths .. but basically there is no sense of why visualdiffer is checking ScummVM.app

I have other errors .. but it's hard to link them with some api fault
screen.txt (9,662 bytes)   
errore	12:05:26.068145+0200	containermanagerd	[0] command=0, client=<<~~~>, u=<0/0/~~/2/0>, uid=89, pid=1030, sandboxed=1, platform=1>, error=21 (CONTAINER_NOT_FOUND)
errore	12:05:26.068306+0200	containermanagerd	[89] command=0, client=(null), error=21 (CONTAINER_NOT_FOUND)
errore	12:05:26.320746+0200	containermanagerd	[0] command=0, client=<<~~~>, u=<0/0/~~/2/0>, uid=89, pid=1030, sandboxed=1, platform=1>, error=21 (CONTAINER_NOT_FOUND)
errore	12:05:26.320957+0200	containermanagerd	[89] command=0, client=(null), error=21 (CONTAINER_NOT_FOUND)
errore	12:05:26.560178+0200	containermanagerd	[0] command=0, client=<<~~~>, u=<0/0/~~/2/0>, uid=89, pid=1030, sandboxed=1, platform=1>, error=21 (CONTAINER_NOT_FOUND)
errore	12:05:26.560364+0200	containermanagerd	[89] command=0, client=(null), error=21 (CONTAINER_NOT_FOUND)
errore	12:05:26.709275+0200	WindowServer	CoreAnimation: NULL color space set on context (2c952b4b)
errore	12:05:26.812525+0200	containermanagerd	[501] command=0, client=<<~~~>, u=<501/20/~~/2/501>, uid=501, pid=1029, sandboxed=1, platform=1>, error=21 (CONTAINER_NOT_FOUND)
errore	12:05:27.069470+0200	containermanagerd	[501] command=0, client=<<~~~>, u=<501/20/~~/2/501>, uid=501, pid=1029, sandboxed=1, platform=1>, error=21 (CONTAINER_NOT_FOUND)
errore	12:05:27.515707+0200	containermanagerd	[501] command=0, client=<<~~~>, u=<501/20/~~/2/501>, uid=501, pid=1029, sandboxed=1, platform=1>, error=21 (CONTAINER_NOT_FOUND)
errore	12:05:27.988715+0200	WindowServer	CoreAnimation: NULL color space set on context (c54ec25f)
errore	12:05:28.506299+0200	sandboxd	Sandbox: VisualDiffer(2612) deny(1) file-read-data /Users/bimbomix1/Applications/ScummVM.app/Contents/PkgInfo
Violation:       deny(1) file-read-data /Users/bimbomix1/Applications/ScummVM.app/Contents/PkgInfo
Process:         VisualDiffer [2612]
Path:            /Applications/VisualDiffer.app/Contents/MacOS/VisualDiffer
Load Address:    0x10e017000
Identifier:      com.visualdiffer
Version:         1.8.2 (1.8.2)
Code Type:       x86_64 (Native)
Parent Process:  launchd [1]
Responsible:     /Applications/VisualDiffer.app/Contents/MacOS/VisualDiffer
User ID:         501

Date/Time:       2021-09-03 12:05:28.221 GMT+2
OS Version:      macOS 11.5.2 (20G95)
Report Version:  8

MetaData: {"action":"deny","apple-internal":false,"primary-filter-value":"\/Users\/bimbomix1\/Applications\/ScummVM.app\/Contents\/PkgInfo","rdev":0,"uid":501,"pid":2612,"vnode-type":"REGULAR-FILE","matched-extension":false,"path":"\/Users\/bimbomix1\/Applications\/ScummVM.app\/Contents\/PkgInfo","profile-flags":0,"profile-in-collection":false,"container":"\/Users\/bimbomix1\/Library\/Containers\/com.visualdiffer\/Data","platform-binary":false,"file-flags":0,"matched-user-intent-extension":false,"target":"\/Users\/bimbomix1\/Applications\/ScummVM.app\/Contents\/PkgInfo","summary":"deny(1) file-read-data \/Users\/bimbomix1\/Applications\/ScummVM.app\/Contents\/PkgInfo","hardlinked":false,"platform-policy":false,"mount-flags":76582912,"operation":"file-read-data","process":"VisualDiffer","errno":1,"normalized_target":["Users","bimbomix1","Applications","ScummVM.app","Contents","PkgInfo"],"responsible-process-path":"\/Applications\/VisualDiffer.app\/Contents\/MacOS\/VisualDiffer","primary-filter":"path","signing-id":"com.visualdiffer","flags":5,"platform_binary":"no","file-mode":420,"build":"macOS 11.5.2 (20G95)","process-path":"\/Applications\/VisualDiffer.app\/Contents\/MacOS\/VisualDiffer","team-id":"MLU48HP7P3","hardware":"Mac"}

Thread 0 (id: 24585):
0   libsystem_kernel.dylib        	0x00007fff20333b52
1   Foundation                    	0x00007fff211b55b2 _NSReadBytesFromFileWithExtendedAttributes + 167
2   Foundation                    	0x00007fff211b541d -[NSData(NSData) initWithContentsOfFile:options:maxLength:error:] + 111
3   Foundation                    	0x00007fff212430a5 +[NSData(NSData) dataWithContentsOfURL:options:maxLength:error:] + 56
4   LaunchServices                	0x00007fff208a65e4 -[FSNode(MiscellaneousProperties) getHFSType:creator:error:] + 225
5   LaunchServices                	0x00007fff208aec2a BindingBlueprint::initialzeFileType(FileInfo*) + 652
6   LaunchServices                	0x00007fff208ae0f2 BindingBlueprint::initialize(__CFDictionary const*) + 1716
7   LaunchServices                	0x00007fff208ad449 BindingBlueprint::BindingBlueprint(__CFURL const*) + 157
8   LaunchServices                	0x00007fff208ad368 BindingManager::CreateWithURL(__CFURL const*, bool) + 28
9   LaunchServices                	0x00007fff208ad317 _GetIconRefFromURL + 26
10  AppKit                        	0x00007fff22f15182 -[NSWorkspace _iconForURL:] + 100
11  AppKit                        	0x00007fff22f150ef -[NSWorkspace iconForFile:] + 80
12  VisualDiffer                  	0x000000010e08cbd0
13  VisualDiffer                  	0x000000010e08c267
14  VisualDiffer                  	0x000000010e029dd6
15  VisualDiffer                  	0x000000010e02a197
16  VisualDiffer                  	0x000000010e034906
17  AppKit                        	0x00007fff2350099b -[NSView _showMenuForEvent:] + 58
18  AppKit                        	0x00007fff2306c15b -[NSView rightMouseDown:] + 100
19  AppKit                        	0x00007fff23199271 -[NSControl _rightMouseUpOrDown:] + 493
20  AppKit                        	0x00007fff22df2578 -[NSWindow(NSEventRouting) _reallySendEvent:isDelayedEvent:] + 6482
21  AppKit                        	0x00007fff22df0a06 -[NSWindow(NSEventRouting) sendEvent:] + 347
22  AppKit                        	0x00007fff22def845 -[NSApplication(NSEvent) sendEvent:] + 2961
23  AppKit                        	0x00007fff230c7be1 -[NSApplication _handleEvent:] + 65
24  AppKit                        	0x00007fff22c57c8e -[NSApplication run] + 623
25  AppKit                        	0x00007fff22c2be6c NSApplicationMain + 816
26  libdyld.dylib                 	0x00007fff20383f3d start + 1
27                                	0x0000000000000001

Thread 1 (id: 24671, com.apple.NSEventThread):
0   libsystem_kernel.dylib        	0x00007fff203332ba
1   CoreFoundation                	0x00007fff20461b2f __CFRunLoopServiceMachPort + 316
2   CoreFoundation                	0x00007fff2046020f __CFRunLoopRun + 1328
3   CoreFoundation                	0x00007fff2045f61c CFRunLoopRunSpecific + 563
4   AppKit                        	0x00007fff22ded23a _NSEventThread + 124
5   libsystem_pthread.dylib       	0x00007fff203688fc _pthread_start + 224
6   libsystem_pthread.dylib       	0x00007fff20364443 thread_start + 15

Thread 2 (id: 295378):
0   libsystem_kernel.dylib        	0x00007fff2033495e
1   libsystem_pthread.dylib       	0x00007fff2036442f start_wqthread + 15

Thread 3 (id: 295825):
0   libsystem_kernel.dylib        	0x00007fff2033495e
1   libsystem_pthread.dylib       	0x00007fff2036442f start_wqthread + 15

Thread 4 (id: 295848):
0   libsystem_kernel.dylib        	0x00007fff2033495e
1   libsystem_pthread.dylib       	0x00007fff2036442f start_wqthread + 15

Thread 5 (id: 295876):
0   libsystem_kernel.dylib        	0x00007fff2033495e
1   libsystem_pthread.dylib       	0x00007fff2036442f start_wqthread + 15

Thread 6 (id: 295969):
0   libsystem_kernel.dylib        	0x00007fff2033495e
1   libsystem_pthread.dylib       	0x00007fff2036442f start_wqthread + 15

Binary Images:
       0x10e017000 -        0x10e0baff7  com.visualdiffer (1.8.2 - 1.8.2) <772639d3-e1ff-39e9-bbd3-e9b3f781e655> /Applications/VisualDiffer.app/Contents/MacOS/VisualDiffer
                 0 - 0xffffffffffffffff  libsystem_kernel.dylib (7195.141.2) <b51dea59-1260-35c6-b7b6-aa6d8459ecec> /usr/lib/system/libsystem_kernel.dylib
    0x7fff20362000 -     0x7fff2036dfff  libsystem_pthread.dylib (454.120.2) <b1a74420-49e9-32fc-bfcb-e53550236a23> /usr/lib/system/libsystem_pthread.dylib
    0x7fff2036e000 -     0x7fff203a9ff7  libdyld.dylib (852.2) <11007de4-abe1-3079-bf1c-4d0eada884dd> /usr/lib/system/libdyld.dylib
    0x7fff203e0000 -     0x7fff2087d3ef  com.apple.CoreFoundation (6.9 - 1777.103) <08b48289-1c59-3259-8d49-f1fa51ed53d2> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
    0x7fff2087e000 -     0x7fff20ab360f  com.apple.LaunchServices (1122.41 - 1122.41) <38848652-473a-32bf-af80-ae71f486ff7e> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
    0x7fff2118f000 -     0x7fff214ed2ef  com.apple.Foundation (6.9 - 1777.103) <ee9fdda7-9e08-3638-864f-078016f032e3> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
    0x7fff22c28000 -     0x7fff2397335f  com.apple.AppKit (6.9 - 2022.60.128) <8b44aaab-01a1-30a2-9b1b-cbbbe6dfb82a> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
errore	12:05:29.989716+0200	analyticsd	[Fault] Transform 'MT_com.apple.BSDServices.ScriptingLanguageUse_v2' hit unrecoverable error with reason='<private>' and context='<private>' with event='<private>'
errore	12:05:30.520272+0200	httpd	send failed: Invalid argument
errore	12:05:30.520840+0200	httpd	send failed: Invalid argument
errore	12:05:30.520881+0200	httpd	send failed: Invalid argument
errore	12:05:32.505063+0200	WindowServer	CoreAnimation: NULL color space set on context (403d1bc5)
errore	12:05:34.314376+0200	1Password 7	nw_resolver_start_query_timer_block_invoke [C10] Query fired: did not receive all answers in time for Hostname#720b8538:443
errore	12:05:35.982842+0200	at.obdev.littlesnitch.networkextension	No current verdict available, cannot report flow stats
errore	12:05:35.983015+0200	at.obdev.littlesnitch.networkextension	No current verdict available, cannot report flow stats
screen.txt (9,662 bytes)   

bimbomix1

2021-09-03 12:08

reporter   ~0000647

I cannot understand really why i have visualdiffer error

Sandbox: VisualDiffer(2612) deny(1) file-read-data /Users/bimbomix1/Applications/ScummVM.app/Contents/PkgInfo
Violation: deny(1) file-read-data /Users/bimbomix1/Applications/ScummVM.app/Contents/PkgInfo
Process: VisualDiffer [2612]
Path: /Applications/VisualDiffer.app/Contents/MacOS/VisualDiffer
Load Address: 0x10e017000
Identifier: com.visualdiffer
Version: 1.8.2 (1.8.2)
Code Type: x86_64 (Native)
Parent Process: launchd [1]
Responsible: /Applications/VisualDiffer.app/Contents/MacOS/VisualDiffer
User ID: 501

Date/Time: 2021-09-03 12:05:28.221 GMT+2
OS Version: macOS 11.5.2 (20G95)
Report Version: 8

bimbomix1

2021-09-03 12:10

reporter  

screen2.txt (49,270 bytes)   
errore	12:09:26.477906+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
errore	12:09:26.479448+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
errore	12:09:26.480284+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
errore	12:09:26.481802+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
errore	12:09:26.505455+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
errore	12:09:26.509283+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
errore	12:09:26.573913+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
errore	12:09:26.602720+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
errore	12:09:26.855863+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
errore	12:09:26.857043+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
errore	12:09:27.005167+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
errore	12:09:27.006349+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
errore	12:09:27.022142+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
errore	12:09:27.023387+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
errore	12:09:27.053595+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
errore	12:09:27.056749+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
errore	12:09:27.060281+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
errore	12:09:27.062805+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
errore	12:09:27.069957+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
errore	12:09:27.071371+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
errore	12:09:27.281248+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
errore	12:09:27.282593+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
errore	12:09:27.358447+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
errore	12:09:27.360366+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
errore	12:09:27.465801+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
errore	12:09:27.468406+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
errore	12:09:27.507407+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
errore	12:09:27.509433+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
errore	12:09:27.757354+0200	tccd	Failed to create LSApplicationRecord for file:///Applications/Little%20Snitch.app/Contents/Components/Little%20Snitch%20Software%20Update.app/: 'Impossibile completare l'operazione. (OSStatus errore -10819.)'
errore	12:09:27.835900+0200	tccd	Failed to create LSApplicationRecord for file:///Applications/Little%20Snitch.app/Contents/Components/Little%20Snitch%20Software%20Update.app/ from file:///Applications/Little%20Snitch.app/Contents/Components/Little%20Snitch%20Software%20Update.app/Contents/MacOS/Little%20Snitch%20Software%20Update: 'Impossibile completare l'operazione. (OSStatus errore -10819.)'
errore	12:09:27.872842+0200	tccd	Failed to create LSApplicationRecord for file:///Applications/Little%20Snitch.app/Contents/Components/Little%20Snitch%20Software%20Update.app/: 'Impossibile completare l'operazione. (OSStatus errore -10819.)'
errore	12:09:28.018476+0200	tccd	Prompting policy for hardened runtime; service: kTCCServiceAppleEvents requires entitlement com.apple.security.automation.apple-events but it is missing for accessing={identifier=at.obdev.littlesnitch.softwareupdate, pid=14609, auid=501, euid=501, binary_path=/Applications/Little Snitch.app/Contents/Components/Little Snitch Software Update.app/Contents/MacOS/Little Snitch Software Update}, requesting={identifier=com.apple.appleeventsd, pid=466, auid=55, euid=55, binary_path=/System/Library/CoreServices/appleeventsd},
errore	12:09:28.121959+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
errore	12:09:28.151134+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
errore	12:09:28.206150+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
errore	12:09:28.208715+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
errore	12:09:28.300112+0200	sandboxd	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
Violation:       deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
Process:         com.avast.filesh [9593]
Path:            /Applications/Avast.app/Contents/Backend/services/com.avast.fileshield
Load Address:    0x10abaa000
Identifier:      com.avast.fileshield
Version:         ??? (???)
Code Type:       x86_64 (Native)
Parent Process:  launchd [1]
Responsible:     /Applications/Avast.app/Contents/Backend/services/com.avast.fileshield
User ID:         0

Date/Time:       2021-09-03 12:09:28.270 GMT+2
OS Version:      macOS 11.5.2 (20G95)
Report Version:  8

MetaData: {"action":"deny","apple-internal":false,"primary-filter-value":"\/private\/var\/db\/lockdown\/SystemConfiguration.plist","rdev":0,"uid":0,"pid":9593,"vnode-type":"REGULAR-FILE","matched-extension":false,"path":"\/private\/var\/db\/lockdown\/SystemConfiguration.plist","profile-flags":0,"platform-binary":false,"file-flags":0,"matched-user-intent-extension":false,"target":"\/private\/var\/db\/lockdown\/SystemConfiguration.plist","summary":"deny(1) file-read-data \/private\/var\/db\/lockdown\/SystemConfiguration.plist","hardlinked":false,"platform-policy":true,"mount-flags":76582912,"profile":"platform","operation":"file-read-data","process":"com.avast.filesh","errno":1,"normalized_target":["private","var","db","lockdown","SystemConfiguration.plist"],"responsible-process-path":"\/Applications\/Avast.app\/Contents\/Backend\/services\/com.avast.fileshield","primary-filter":"path","signing-id":"com.avast","flags":21,"platform_binary":"no","build":"macOS 11.5.2 (20G95)","process-path":"\/Applications\/Avast.app\/Contents\/Backend\/services\/com.avast.fileshield","team-id":"6H4HRTU5E3","storage-class":"Lockdown","hardware":"Mac"}

Thread 0 (id: 201010):
0   libsystem_kernel.dylib        	0x00007fff20337c4a
1   com.avast.fileshield          	0x000000010ac14fe6
2   com.avast.fileshield          	0x000000010abd5009
3   libdyld.dylib                 	0x00007fff20383f3d start + 1
4                                 	0x0000000000000001

Thread 1 (id: 201057):
0   libsystem_kernel.dylib        	0x00007fff20335cde
1   libc++.1.dylib                	0x00007fff202d1d72 std::__1::condition_variable::wait(std::__1::unique_lock<std::__1::mutex>&) + 18
2   com.avast.fileshield          	0x000000010ac09d2a
3   com.avast.fileshield          	0x000000010ac09c2a
4   com.avast.fileshield          	0x000000010ac09ffe
5   libsystem_pthread.dylib       	0x00007fff203688fc _pthread_start + 224
6   libsystem_pthread.dylib       	0x00007fff20364443 thread_start + 15

Thread 2 (id: 208002):
0   libsystem_kernel.dylib        	0x00007fff20335cde
1   libc++.1.dylib                	0x00007fff202d1d72 std::__1::condition_variable::wait(std::__1::unique_lock<std::__1::mutex>&) + 18
2   com.avast.fileshield          	0x000000010ac09d2a
3   com.avast.fileshield          	0x000000010ac09c2a
4   com.avast.fileshield          	0x000000010ac09ffe
5   libsystem_pthread.dylib       	0x00007fff203688fc _pthread_start + 224
6   libsystem_pthread.dylib       	0x00007fff20364443 thread_start + 15

Thread 3 (id: 291027):
0   libsystem_kernel.dylib        	0x00007fff20333b52
1   com.avast.fileshield          	0x000000010abd2925
2   com.avast.fileshield          	0x000000010ac09c3d
3   com.avast.fileshield          	0x000000010ac09ffe
4   libsystem_pthread.dylib       	0x00007fff203688fc _pthread_start + 224
5   libsystem_pthread.dylib       	0x00007fff20364443 thread_start + 15

Binary Images:
                 0 - 0xffffffffffffffff  com.avast.fileshield (0) <8bb8fa67-3c04-38bd-ba62-39685aa6a3b7> /Applications/Avast.app/Contents/Backend/services/com.avast.fileshield
    0x7fff202c6000 -     0x7fff2031bff7  libc++.1.dylib (905.6) <f4ec1a92-1dfc-3228-9868-5377eb375100> /usr/lib/libc++.1.dylib
                 0 - 0xffffffffffffffff  libsystem_kernel.dylib (7195.141.2) <b51dea59-1260-35c6-b7b6-aa6d8459ecec> /usr/lib/system/libsystem_kernel.dylib
    0x7fff20362000 -     0x7fff2036dfff  libsystem_pthread.dylib (454.120.2) <b1a74420-49e9-32fc-bfcb-e53550236a23> /usr/lib/system/libsystem_pthread.dylib
    0x7fff2036e000 -     0x7fff203a9ff7  libdyld.dylib (852.2) <11007de4-abe1-3079-bf1c-4d0eada884dd> /usr/lib/system/libdyld.dylib
errore	12:09:28.315095+0200	sandboxd	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
Violation:       deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
Process:         com.avast.filesh [9593]
Path:            /Applications/Avast.app/Contents/Backend/services/com.avast.fileshield
Load Address:    0x10abaa000
Identifier:      com.avast.fileshield
Version:         ??? (???)
Code Type:       x86_64 (Native)
Parent Process:  launchd [1]
Responsible:     /Applications/Avast.app/Contents/Backend/services/com.avast.fileshield
User ID:         0

Date/Time:       2021-09-03 12:09:28.311 GMT+2
OS Version:      macOS 11.5.2 (20G95)
Report Version:  8

MetaData: {"action":"deny","apple-internal":false,"primary-filter-value":"\/private\/var\/db\/lockdown\/00008020-000825AA0109002E.plist","rdev":0,"uid":0,"pid":9593,"vnode-type":"REGULAR-FILE","matched-extension":false,"path":"\/private\/var\/db\/lockdown\/00008020-000825AA0109002E.plist","profile-flags":0,"platform-binary":false,"file-flags":0,"matched-user-intent-extension":false,"target":"\/private\/var\/db\/lockdown\/00008020-000825AA0109002E.plist","summary":"deny(1) file-read-data \/private\/var\/db\/lockdown\/00008020-000825AA0109002E.plist","hardlinked":false,"platform-policy":true,"mount-flags":76582912,"profile":"platform","operation":"file-read-data","process":"com.avast.filesh","errno":1,"normalized_target":["private","var","db","lockdown","00008020-000825AA0109002E.plist"],"responsible-process-path":"\/Applications\/Avast.app\/Contents\/Backend\/services\/com.avast.fileshield","primary-filter":"path","signing-id":"com.avast","flags":21,"platform_binary":"no","build":"macOS 11.5.2 (20G95)","process-path":"\/Applications\/Avast.app\/Contents\/Backend\/services\/com.avast.fileshield","team-id":"6H4HRTU5E3","storage-class":"Lockdown","hardware":"Mac"}

Thread 0 (id: 201010):
0   libsystem_kernel.dylib        	0x00007fff20337c4a
1   com.avast.fileshield          	0x000000010ac14fe6
2   com.avast.fileshield          	0x000000010abd5009
3   libdyld.dylib                 	0x00007fff20383f3d start + 1
4                                 	0x0000000000000001

Thread 1 (id: 201057):
0   libsystem_kernel.dylib        	0x00007fff20333b52
1   com.avast.fileshield          	0x000000010abd2925
2   com.avast.fileshield          	0x000000010ac09c3d
3   com.avast.fileshield          	0x000000010ac09ffe
4   libsystem_pthread.dylib       	0x00007fff203688fc _pthread_start + 224
5   libsystem_pthread.dylib       	0x00007fff20364443 thread_start + 15

Thread 2 (id: 208002):
0   libsystem_kernel.dylib        	0x00007fff20335cde
1   libc++.1.dylib                	0x00007fff202d1d72 std::__1::condition_variable::wait(std::__1::unique_lock<std::__1::mutex>&) + 18
2   com.avast.fileshield          	0x000000010ac09d2a
3   com.avast.fileshield          	0x000000010ac09c2a
4   com.avast.fileshield          	0x000000010ac09ffe
5   libsystem_pthread.dylib       	0x00007fff203688fc _pthread_start + 224
6   libsystem_pthread.dylib       	0x00007fff20364443 thread_start + 15

Thread 3 (id: 291027):
0   libsystem_kernel.dylib        	0x00007fff20335cde
1   libc++.1.dylib                	0x00007fff202d1d72 std::__1::condition_variable::wait(std::__1::unique_lock<std::__1::mutex>&) + 18
2   com.avast.fileshield          	0x000000010ac09d2a
3   com.avast.fileshield          	0x000000010ac09c2a
4   com.avast.fileshield          	0x000000010ac09ffe
5   libsystem_pthread.dylib       	0x00007fff203688fc _pthread_start + 224
6   libsystem_pthread.dylib       	0x00007fff20364443 thread_start + 15

Binary Images:
                 0 - 0xffffffffffffffff  com.avast.fileshield (0) <8bb8fa67-3c04-38bd-ba62-39685aa6a3b7> /Applications/Avast.app/Contents/Backend/services/com.avast.fileshield
    0x7fff202c6000 -     0x7fff2031bff7  libc++.1.dylib (905.6) <f4ec1a92-1dfc-3228-9868-5377eb375100> /usr/lib/libc++.1.dylib
                 0 - 0xffffffffffffffff  libsystem_kernel.dylib (7195.141.2) <b51dea59-1260-35c6-b7b6-aa6d8459ecec> /usr/lib/system/libsystem_kernel.dylib
    0x7fff20362000 -     0x7fff2036dfff  libsystem_pthread.dylib (454.120.2) <b1a74420-49e9-32fc-bfcb-e53550236a23> /usr/lib/system/libsystem_pthread.dylib
    0x7fff2036e000 -     0x7fff203a9ff7  libdyld.dylib (852.2) <11007de4-abe1-3079-bf1c-4d0eada884dd> /usr/lib/system/libdyld.dylib
errore	12:09:28.501010+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
errore	12:09:28.502180+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
errore	12:09:28.651508+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
errore	12:09:28.652445+0200	sandboxd	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
Violation:       deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
Process:         com.avast.filesh [9593]
Path:            /Applications/Avast.app/Contents/Backend/services/com.avast.fileshield
Load Address:    0x10abaa000
Identifier:      com.avast.fileshield
Version:         ??? (???)
Code Type:       x86_64 (Native)
Parent Process:  launchd [1]
Responsible:     /Applications/Avast.app/Contents/Backend/services/com.avast.fileshield
User ID:         0

Date/Time:       2021-09-03 12:09:28.622 GMT+2
OS Version:      macOS 11.5.2 (20G95)
Report Version:  8

MetaData: {"action":"deny","apple-internal":false,"primary-filter-value":"\/private\/var\/db\/lockdown\/SystemConfiguration.plist","rdev":0,"uid":0,"pid":9593,"vnode-type":"REGULAR-FILE","matched-extension":false,"path":"\/private\/var\/db\/lockdown\/SystemConfiguration.plist","profile-flags":0,"platform-binary":false,"file-flags":0,"matched-user-intent-extension":false,"target":"\/private\/var\/db\/lockdown\/SystemConfiguration.plist","summary":"deny(1) file-read-data \/private\/var\/db\/lockdown\/SystemConfiguration.plist","hardlinked":false,"platform-policy":true,"mount-flags":76582912,"profile":"platform","operation":"file-read-data","process":"com.avast.filesh","errno":1,"normalized_target":["private","var","db","lockdown","SystemConfiguration.plist"],"responsible-process-path":"\/Applications\/Avast.app\/Contents\/Backend\/services\/com.avast.fileshield","primary-filter":"path","signing-id":"com.avast","flags":21,"platform_binary":"no","build":"macOS 11.5.2 (20G95)","process-path":"\/Applications\/Avast.app\/Contents\/Backend\/services\/com.avast.fileshield","team-id":"6H4HRTU5E3","storage-class":"Lockdown","hardware":"Mac"}

Thread 0 (id: 201010):
0   libsystem_kernel.dylib        	0x00007fff20337c4a
1   com.avast.fileshield          	0x000000010ac14fe6
2   com.avast.fileshield          	0x000000010abd5009
3   libdyld.dylib                 	0x00007fff20383f3d start + 1
4                                 	0x0000000000000001

Thread 1 (id: 201057):
0   libsystem_kernel.dylib        	0x00007fff20333b52
1   com.avast.fileshield          	0x000000010abd2925
2   com.avast.fileshield          	0x000000010ac09c3d
3   com.avast.fileshield          	0x000000010ac09ffe
4   libsystem_pthread.dylib       	0x00007fff203688fc _pthread_start + 224
5   libsystem_pthread.dylib       	0x00007fff20364443 thread_start + 15

Thread 2 (id: 208002):
0   libsystem_kernel.dylib        	0x00007fff20335cde
1   libc++.1.dylib                	0x00007fff202d1d72 std::__1::condition_variable::wait(std::__1::unique_lock<std::__1::mutex>&) + 18
2   com.avast.fileshield          	0x000000010ac09d2a
3   com.avast.fileshield          	0x000000010ac09c2a
4   com.avast.fileshield          	0x000000010ac09ffe
5   libsystem_pthread.dylib       	0x00007fff203688fc _pthread_start + 224
6   libsystem_pthread.dylib       	0x00007fff20364443 thread_start + 15

Thread 3 (id: 291027):
0   libsystem_kernel.dylib        	0x00007fff20335cde
1   libc++.1.dylib                	0x00007fff202d1d72 std::__1::condition_variable::wait(std::__1::unique_lock<std::__1::mutex>&) + 18
2   com.avast.fileshield          	0x000000010ac09d2a
3   com.avast.fileshield          	0x000000010ac09c2a
4   com.avast.fileshield          	0x000000010ac09ffe
5   libsystem_pthread.dylib       	0x00007fff203688fc _pthread_start + 224
6   libsystem_pthread.dylib       	0x00007fff20364443 thread_start + 15

Binary Images:
                 0 - 0xffffffffffffffff  com.avast.fileshield (0) <8bb8fa67-3c04-38bd-ba62-39685aa6a3b7> /Applications/Avast.app/Contents/Backend/services/com.avast.fileshield
    0x7fff202c6000 -     0x7fff2031bff7  libc++.1.dylib (905.6) <f4ec1a92-1dfc-3228-9868-5377eb375100> /usr/lib/libc++.1.dylib
                 0 - 0xffffffffffffffff  libsystem_kernel.dylib (7195.141.2) <b51dea59-1260-35c6-b7b6-aa6d8459ecec> /usr/lib/system/libsystem_kernel.dylib
    0x7fff20362000 -     0x7fff2036dfff  libsystem_pthread.dylib (454.120.2) <b1a74420-49e9-32fc-bfcb-e53550236a23> /usr/lib/system/libsystem_pthread.dylib
    0x7fff2036e000 -     0x7fff203a9ff7  libdyld.dylib (852.2) <11007de4-abe1-3079-bf1c-4d0eada884dd> /usr/lib/system/libdyld.dylib
errore	12:09:28.654066+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
errore	12:09:28.669949+0200	sandboxd	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
Violation:       deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
Process:         com.avast.filesh [9593]
Path:            /Applications/Avast.app/Contents/Backend/services/com.avast.fileshield
Load Address:    0x10abaa000
Identifier:      com.avast.fileshield
Version:         ??? (???)
Code Type:       x86_64 (Native)
Parent Process:  launchd [1]
Responsible:     /Applications/Avast.app/Contents/Backend/services/com.avast.fileshield
User ID:         0

Date/Time:       2021-09-03 12:09:28.663 GMT+2
OS Version:      macOS 11.5.2 (20G95)
Report Version:  8

MetaData: {"action":"deny","apple-internal":false,"primary-filter-value":"\/private\/var\/db\/lockdown\/00008020-000825AA0109002E.plist","rdev":0,"uid":0,"pid":9593,"vnode-type":"REGULAR-FILE","matched-extension":false,"path":"\/private\/var\/db\/lockdown\/00008020-000825AA0109002E.plist","profile-flags":0,"platform-binary":false,"file-flags":0,"matched-user-intent-extension":false,"target":"\/private\/var\/db\/lockdown\/00008020-000825AA0109002E.plist","summary":"deny(1) file-read-data \/private\/var\/db\/lockdown\/00008020-000825AA0109002E.plist","hardlinked":false,"platform-policy":true,"mount-flags":76582912,"profile":"platform","operation":"file-read-data","process":"com.avast.filesh","errno":1,"normalized_target":["private","var","db","lockdown","00008020-000825AA0109002E.plist"],"responsible-process-path":"\/Applications\/Avast.app\/Contents\/Backend\/services\/com.avast.fileshield","primary-filter":"path","signing-id":"com.avast","flags":21,"platform_binary":"no","build":"macOS 11.5.2 (20G95)","process-path":"\/Applications\/Avast.app\/Contents\/Backend\/services\/com.avast.fileshield","team-id":"6H4HRTU5E3","storage-class":"Lockdown","hardware":"Mac"}

Thread 0 (id: 201010):
0   libsystem_kernel.dylib        	0x00007fff20337c4a
1   com.avast.fileshield          	0x000000010ac14fe6
2   com.avast.fileshield          	0x000000010abd5009
3   libdyld.dylib                 	0x00007fff20383f3d start + 1
4                                 	0x0000000000000001

Thread 1 (id: 201057):
0   libsystem_kernel.dylib        	0x00007fff20335cde
1   libc++.1.dylib                	0x00007fff202d1d72 std::__1::condition_variable::wait(std::__1::unique_lock<std::__1::mutex>&) + 18
2   com.avast.fileshield          	0x000000010ac09d2a
3   com.avast.fileshield          	0x000000010ac09c2a
4   com.avast.fileshield          	0x000000010ac09ffe
5   libsystem_pthread.dylib       	0x00007fff203688fc _pthread_start + 224
6   libsystem_pthread.dylib       	0x00007fff20364443 thread_start + 15

Thread 2 (id: 208002):
0   libsystem_kernel.dylib        	0x00007fff20333b52
1   com.avast.fileshield          	0x000000010abd2925
2   com.avast.fileshield          	0x000000010ac09c3d
3   com.avast.fileshield          	0x000000010ac09ffe
4   libsystem_pthread.dylib       	0x00007fff203688fc _pthread_start + 224
5   libsystem_pthread.dylib       	0x00007fff20364443 thread_start + 15

Thread 3 (id: 291027):
0   libsystem_kernel.dylib        	0x00007fff20335cde
1   libc++.1.dylib                	0x00007fff202d1d72 std::__1::condition_variable::wait(std::__1::unique_lock<std::__1::mutex>&) + 18
2   com.avast.fileshield          	0x000000010ac09d2a
3   com.avast.fileshield          	0x000000010ac09c2a
4   com.avast.fileshield          	0x000000010ac09ffe
5   libsystem_pthread.dylib       	0x00007fff203688fc _pthread_start + 224
6   libsystem_pthread.dylib       	0x00007fff20364443 thread_start + 15

Binary Images:
                 0 - 0xffffffffffffffff  com.avast.fileshield (0) <8bb8fa67-3c04-38bd-ba62-39685aa6a3b7> /Applications/Avast.app/Contents/Backend/services/com.avast.fileshield
    0x7fff202c6000 -     0x7fff2031bff7  libc++.1.dylib (905.6) <f4ec1a92-1dfc-3228-9868-5377eb375100> /usr/lib/libc++.1.dylib
                 0 - 0xffffffffffffffff  libsystem_kernel.dylib (7195.141.2) <b51dea59-1260-35c6-b7b6-aa6d8459ecec> /usr/lib/system/libsystem_kernel.dylib
    0x7fff20362000 -     0x7fff2036dfff  libsystem_pthread.dylib (454.120.2) <b1a74420-49e9-32fc-bfcb-e53550236a23> /usr/lib/system/libsystem_pthread.dylib
    0x7fff2036e000 -     0x7fff203a9ff7  libdyld.dylib (852.2) <11007de4-abe1-3079-bf1c-4d0eada884dd> /usr/lib/system/libdyld.dylib
errore	12:09:28.911137+0200	sandboxd	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
Violation:       deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
Process:         com.avast.filesh [9593]
Path:            /Applications/Avast.app/Contents/Backend/services/com.avast.fileshield
Load Address:    0x10abaa000
Identifier:      com.avast.fileshield
Version:         ??? (???)
Code Type:       x86_64 (Native)
Parent Process:  launchd [1]
Responsible:     /Applications/Avast.app/Contents/Backend/services/com.avast.fileshield
User ID:         0

Date/Time:       2021-09-03 12:09:28.907 GMT+2
OS Version:      macOS 11.5.2 (20G95)
Report Version:  8

MetaData: {"action":"deny","apple-internal":false,"primary-filter-value":"\/private\/var\/db\/lockdown\/SystemConfiguration.plist","rdev":0,"uid":0,"pid":9593,"vnode-type":"REGULAR-FILE","matched-extension":false,"path":"\/private\/var\/db\/lockdown\/SystemConfiguration.plist","profile-flags":0,"platform-binary":false,"file-flags":0,"matched-user-intent-extension":false,"target":"\/private\/var\/db\/lockdown\/SystemConfiguration.plist","summary":"deny(1) file-read-data \/private\/var\/db\/lockdown\/SystemConfiguration.plist","hardlinked":false,"platform-policy":true,"mount-flags":76582912,"profile":"platform","operation":"file-read-data","process":"com.avast.filesh","errno":1,"normalized_target":["private","var","db","lockdown","SystemConfiguration.plist"],"responsible-process-path":"\/Applications\/Avast.app\/Contents\/Backend\/services\/com.avast.fileshield","primary-filter":"path","signing-id":"com.avast","flags":21,"platform_binary":"no","build":"macOS 11.5.2 (20G95)","process-path":"\/Applications\/Avast.app\/Contents\/Backend\/services\/com.avast.fileshield","team-id":"6H4HRTU5E3","storage-class":"Lockdown","hardware":"Mac"}

Thread 0 (id: 201010):
0   libsystem_kernel.dylib        	0x00007fff20337c4a
1   com.avast.fileshield          	0x000000010ac14fe6
2   com.avast.fileshield          	0x000000010abd5009
3   libdyld.dylib                 	0x00007fff20383f3d start + 1
4                                 	0x0000000000000001

Thread 1 (id: 201057):
0   libsystem_kernel.dylib        	0x00007fff20335cde
1   libc++.1.dylib                	0x00007fff202d1d72 std::__1::condition_variable::wait(std::__1::unique_lock<std::__1::mutex>&) + 18
2   com.avast.fileshield          	0x000000010ac09d2a
3   com.avast.fileshield          	0x000000010ac09c2a
4   com.avast.fileshield          	0x000000010ac09ffe
5   libsystem_pthread.dylib       	0x00007fff203688fc _pthread_start + 224
6   libsystem_pthread.dylib       	0x00007fff20364443 thread_start + 15

Thread 2 (id: 208002):
0   libsystem_kernel.dylib        	0x00007fff20333b52
1   com.avast.fileshield          	0x000000010abd2925
2   com.avast.fileshield          	0x000000010ac09c3d
3   com.avast.fileshield          	0x000000010ac09ffe
4   libsystem_pthread.dylib       	0x00007fff203688fc _pthread_start + 224
5   libsystem_pthread.dylib       	0x00007fff20364443 thread_start + 15

Thread 3 (id: 291027):
0   libsystem_kernel.dylib        	0x00007fff20335cde
1   libc++.1.dylib                	0x00007fff202d1d72 std::__1::condition_variable::wait(std::__1::unique_lock<std::__1::mutex>&) + 18
2   com.avast.fileshield          	0x000000010ac09d2a
3   com.avast.fileshield          	0x000000010ac09c2a
4   com.avast.fileshield          	0x000000010ac09ffe
5   libsystem_pthread.dylib       	0x00007fff203688fc _pthread_start + 224
6   libsystem_pthread.dylib       	0x00007fff20364443 thread_start + 15

Binary Images:
                 0 - 0xffffffffffffffff  com.avast.fileshield (0) <8bb8fa67-3c04-38bd-ba62-39685aa6a3b7> /Applications/Avast.app/Contents/Backend/services/com.avast.fileshield
    0x7fff202c6000 -     0x7fff2031bff7  libc++.1.dylib (905.6) <f4ec1a92-1dfc-3228-9868-5377eb375100> /usr/lib/libc++.1.dylib
                 0 - 0xffffffffffffffff  libsystem_kernel.dylib (7195.141.2) <b51dea59-1260-35c6-b7b6-aa6d8459ecec> /usr/lib/system/libsystem_kernel.dylib
    0x7fff20362000 -     0x7fff2036dfff  libsystem_pthread.dylib (454.120.2) <b1a74420-49e9-32fc-bfcb-e53550236a23> /usr/lib/system/libsystem_pthread.dylib
    0x7fff2036e000 -     0x7fff203a9ff7  libdyld.dylib (852.2) <11007de4-abe1-3079-bf1c-4d0eada884dd> /usr/lib/system/libdyld.dylib
errore	12:09:28.914741+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
errore	12:09:28.917089+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
errore	12:09:28.970266+0200	sandboxd	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
Violation:       deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
Process:         com.avast.filesh [9593]
Path:            /Applications/Avast.app/Contents/Backend/services/com.avast.fileshield
Load Address:    0x10abaa000
Identifier:      com.avast.fileshield
Version:         ??? (???)
Code Type:       x86_64 (Native)
Parent Process:  launchd [1]
Responsible:     /Applications/Avast.app/Contents/Backend/services/com.avast.fileshield
User ID:         0

Date/Time:       2021-09-03 12:09:28.965 GMT+2
OS Version:      macOS 11.5.2 (20G95)
Report Version:  8

MetaData: {"action":"deny","apple-internal":false,"primary-filter-value":"\/private\/var\/db\/lockdown\/00008020-000825AA0109002E.plist","rdev":0,"uid":0,"pid":9593,"vnode-type":"REGULAR-FILE","matched-extension":false,"path":"\/private\/var\/db\/lockdown\/00008020-000825AA0109002E.plist","profile-flags":0,"platform-binary":false,"file-flags":0,"matched-user-intent-extension":false,"target":"\/private\/var\/db\/lockdown\/00008020-000825AA0109002E.plist","summary":"deny(1) file-read-data \/private\/var\/db\/lockdown\/00008020-000825AA0109002E.plist","hardlinked":false,"platform-policy":true,"mount-flags":76582912,"profile":"platform","operation":"file-read-data","process":"com.avast.filesh","errno":1,"normalized_target":["private","var","db","lockdown","00008020-000825AA0109002E.plist"],"responsible-process-path":"\/Applications\/Avast.app\/Contents\/Backend\/services\/com.avast.fileshield","primary-filter":"path","signing-id":"com.avast","flags":21,"platform_binary":"no","build":"macOS 11.5.2 (20G95)","process-path":"\/Applications\/Avast.app\/Contents\/Backend\/services\/com.avast.fileshield","team-id":"6H4HRTU5E3","storage-class":"Lockdown","hardware":"Mac"}

Thread 0 (id: 201010):
0   libsystem_kernel.dylib        	0x00007fff20337c4a
1   com.avast.fileshield          	0x000000010ac14fe6
2   com.avast.fileshield          	0x000000010abd5009
3   libdyld.dylib                 	0x00007fff20383f3d start + 1
4                                 	0x0000000000000001

Thread 1 (id: 201057):
0   libsystem_kernel.dylib        	0x00007fff20335cde
1   libc++.1.dylib                	0x00007fff202d1d72 std::__1::condition_variable::wait(std::__1::unique_lock<std::__1::mutex>&) + 18
2   com.avast.fileshield          	0x000000010ac09d2a
3   com.avast.fileshield          	0x000000010ac09c2a
4   com.avast.fileshield          	0x000000010ac09ffe
5   libsystem_pthread.dylib       	0x00007fff203688fc _pthread_start + 224
6   libsystem_pthread.dylib       	0x00007fff20364443 thread_start + 15

Thread 2 (id: 208002):
0   libsystem_kernel.dylib        	0x00007fff20335cde
1   libc++.1.dylib                	0x00007fff202d1d72 std::__1::condition_variable::wait(std::__1::unique_lock<std::__1::mutex>&) + 18
2   com.avast.fileshield          	0x000000010ac09d2a
3   com.avast.fileshield          	0x000000010ac09c2a
4   com.avast.fileshield          	0x000000010ac09ffe
5   libsystem_pthread.dylib       	0x00007fff203688fc _pthread_start + 224
6   libsystem_pthread.dylib       	0x00007fff20364443 thread_start + 15

Thread 3 (id: 291027):
0   libsystem_kernel.dylib        	0x00007fff20333b52
1   com.avast.fileshield          	0x000000010abd2925
2   com.avast.fileshield          	0x000000010ac09c3d
3   com.avast.fileshield          	0x000000010ac09ffe
4   libsystem_pthread.dylib       	0x00007fff203688fc _pthread_start + 224
5   libsystem_pthread.dylib       	0x00007fff20364443 thread_start + 15

Binary Images:
                 0 - 0xffffffffffffffff  com.avast.fileshield (0) <8bb8fa67-3c04-38bd-ba62-39685aa6a3b7> /Applications/Avast.app/Contents/Backend/services/com.avast.fileshield
    0x7fff202c6000 -     0x7fff2031bff7  libc++.1.dylib (905.6) <f4ec1a92-1dfc-3228-9868-5377eb375100> /usr/lib/libc++.1.dylib
                 0 - 0xffffffffffffffff  libsystem_kernel.dylib (7195.141.2) <b51dea59-1260-35c6-b7b6-aa6d8459ecec> /usr/lib/system/libsystem_kernel.dylib
    0x7fff20362000 -     0x7fff2036dfff  libsystem_pthread.dylib (454.120.2) <b1a74420-49e9-32fc-bfcb-e53550236a23> /usr/lib/system/libsystem_pthread.dylib
    0x7fff2036e000 -     0x7fff203a9ff7  libdyld.dylib (852.2) <11007de4-abe1-3079-bf1c-4d0eada884dd> /usr/lib/system/libdyld.dylib
errore	12:09:29.021576+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
errore	12:09:29.025032+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
errore	12:09:29.820367+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
errore	12:09:29.824368+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
errore	12:09:30.925065+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
errore	12:09:30.952117+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
errore	12:09:31.173286+0200	kernel	Sandbox: VisualDiffer(2612) deny(1) file-read-data /Users/bimbomix1/Applications/ScummVM.app/Contents/PkgInfo
errore	12:09:31.236174+0200	WindowServer	CoreAnimation: NULL color space set on context (127afe97)
errore	12:09:31.358756+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
errore	12:09:31.359723+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
errore	12:09:32.311383+0200	analyticsd	[Fault] Transform 'MT_com.apple.BSDServices.ScriptingLanguageUse_v2' hit unrecoverable error with reason='<private>' and context='<private>' with event='<private>'
errore	12:09:32.502019+0200	symptomsd	failed to start ticker tickerFatal, not active, active probe: 0x0
errore	12:09:32.803729+0200	httpd	send failed: Invalid argument
errore	12:09:32.805592+0200	httpd	send failed: Invalid argument
errore	12:09:32.805809+0200	httpd	send failed: Invalid argument
errore	12:09:32.852790+0200	WindowServer	CoreAnimation: NULL color space set on context (4573a15f)
errore	12:09:34.003411+0200	mdworker_shared	All kCFPreferencesCurrentUser domains in this process will be volatile, because homeDirPath starts with /var/empty
errore	12:09:34.003515+0200	mdworker_shared	All kCFPreferencesCurrentUser domains in this process will be volatile, because homeDirPath starts with /var/empty
errore	12:09:35.956790+0200	kernel	Sandbox: VisualDiffer(2612) deny(1) file-read-data /Users/bimbomix1/Applications/ScummVM.app/Contents/PkgInfo
errore	12:09:36.002892+0200	WindowServer	CoreAnimation: NULL color space set on context (64618c19)
errore	12:09:36.719671+0200	at.obdev.littlesnitch.networkextension	No current verdict available, cannot report flow stats
errore	12:09:36.719837+0200	at.obdev.littlesnitch.networkextension	No current verdict available, cannot report flow stats
errore	12:09:37.403702+0200	WindowServer	CoreAnimation: NULL color space set on context (9d42b2ae)
errore	12:09:40.286072+0200	WindowServer	CoreAnimation: NULL color space set on context (68d94fd2)
errore	12:09:42.894292+0200	analyticsd	[Fault] Transform 'MT_com.apple.BSDServices.ScriptingLanguageUse_v2' hit unrecoverable error with reason='<private>' and context='<private>' with event='<private>'
errore	12:09:43.246094+0200	httpd	send failed: Invalid argument
errore	12:09:43.246578+0200	httpd	send failed: Invalid argument
errore	12:09:43.246679+0200	httpd	send failed: Invalid argument
errore	12:09:44.264420+0200	TimingHelper	nw_endpoint_handler_set_adaptive_read_handler [C37.1 IPv4#690451f0:443 ready socket-flow (satisfied (Path is satisfied), viable, interface: en0, ipv4, dns)] unregister notification for read_timeout failed
errore	12:09:44.264487+0200	TimingHelper	nw_endpoint_handler_set_adaptive_write_handler [C37.1 IPv4#690451f0:443 ready socket-flow (satisfied (Path is satisfied), viable, interface: en0, ipv4, dns)] unregister notification for write_timeout failed
errore	12:09:45.864582+0200	TimingHelper	nw_resolver_start_query_timer_block_invoke [C37] Query fired: did not receive all answers in time for Hostname#9d8c4293:443
errore	12:09:46.058160+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
errore	12:09:46.059324+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
errore	12:09:46.262387+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
errore	12:09:46.263581+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
errore	12:09:46.492367+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
errore	12:09:46.494076+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
errore	12:09:46.498159+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
errore	12:09:46.501919+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
errore	12:09:46.550724+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
errore	12:09:46.552525+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
errore	12:09:46.566333+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
errore	12:09:46.567956+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
errore	12:09:46.777066+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
errore	12:09:46.779196+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
errore	12:09:47.999881+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
errore	12:09:47.000812+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
errore	12:09:47.003798+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
errore	12:09:47.005007+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
errore	12:09:47.019241+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
errore	12:09:47.020266+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
errore	12:09:47.024034+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
errore	12:09:47.025568+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
errore	12:09:47.174552+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
errore	12:09:47.200277+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
errore	12:09:47.266273+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
errore	12:09:47.268681+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
errore	12:09:47.308234+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
errore	12:09:47.309889+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
errore	12:09:47.401031+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
errore	12:09:47.405308+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
errore	12:09:47.474487+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
errore	12:09:47.502290+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
errore	12:09:47.624201+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
errore	12:09:47.650214+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
errore	12:09:47.717268+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
errore	12:09:47.719007+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
errore	12:09:47.800287+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
errore	12:09:47.803730+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
errore	12:09:47.874596+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
errore	12:09:47.903789+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
errore	12:09:48.012617+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
errore	12:09:48.016498+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
errore	12:09:48.203560+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
errore	12:09:48.256243+0200	sandboxd	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
Violation:       deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
Process:         com.avast.filesh [9593]
Path:            /Applications/Avast.app/Contents/Backend/services/com.avast.fileshield
Load Address:    0x10abaa000
Identifier:      com.avast.fileshield
Version:         ??? (???)
Code Type:       x86_64 (Native)
Parent Process:  launchd [1]
Responsible:     /Applications/Avast.app/Contents/Backend/services/com.avast.fileshield
User ID:         0

Date/Time:       2021-09-03 12:09:48.221 GMT+2
OS Version:      macOS 11.5.2 (20G95)
Report Version:  8

MetaData: {"action":"deny","apple-internal":false,"primary-filter-value":"\/private\/var\/db\/lockdown\/SystemConfiguration.plist","rdev":0,"uid":0,"pid":9593,"vnode-type":"REGULAR-FILE","matched-extension":false,"path":"\/private\/var\/db\/lockdown\/SystemConfiguration.plist","profile-flags":0,"platform-binary":false,"file-flags":0,"matched-user-intent-extension":false,"target":"\/private\/var\/db\/lockdown\/SystemConfiguration.plist","summary":"deny(1) file-read-data \/private\/var\/db\/lockdown\/SystemConfiguration.plist","hardlinked":false,"platform-policy":true,"mount-flags":76582912,"profile":"platform","operation":"file-read-data","process":"com.avast.filesh","errno":1,"normalized_target":["private","var","db","lockdown","SystemConfiguration.plist"],"responsible-process-path":"\/Applications\/Avast.app\/Contents\/Backend\/services\/com.avast.fileshield","primary-filter":"path","signing-id":"com.avast","flags":21,"platform_binary":"no","build":"macOS 11.5.2 (20G95)","process-path":"\/Applications\/Avast.app\/Contents\/Backend\/services\/com.avast.fileshield","team-id":"6H4HRTU5E3","storage-class":"Lockdown","hardware":"Mac"}

Thread 0 (id: 201010):
0   libsystem_kernel.dylib        	0x00007fff20337c4a
1   com.avast.fileshield          	0x000000010ac14fe6
2   com.avast.fileshield          	0x000000010abd5009
3   libdyld.dylib                 	0x00007fff20383f3d start + 1
4                                 	0x0000000000000001

Thread 1 (id: 201057):
0   libsystem_kernel.dylib        	0x00007fff20335cde
1   libc++.1.dylib                	0x00007fff202d1d72 std::__1::condition_variable::wait(std::__1::unique_lock<std::__1::mutex>&) + 18
2   com.avast.fileshield          	0x000000010ac09d2a
3   com.avast.fileshield          	0x000000010ac09c2a
4   com.avast.fileshield          	0x000000010ac09ffe
5   libsystem_pthread.dylib       	0x00007fff203688fc _pthread_start + 224
6   libsystem_pthread.dylib       	0x00007fff20364443 thread_start + 15

Thread 2 (id: 208002):
0   libsystem_kernel.dylib        	0x00007fff20335cde
1   libc++.1.dylib                	0x00007fff202d1d72 std::__1::condition_variable::wait(std::__1::unique_lock<std::__1::mutex>&) + 18
2   com.avast.fileshield          	0x000000010ac09d2a
3   com.avast.fileshield          	0x000000010ac09c2a
4   com.avast.fileshield          	0x000000010ac09ffe
5   libsystem_pthread.dylib       	0x00007fff203688fc _pthread_start + 224
6   libsystem_pthread.dylib       	0x00007fff20364443 thread_start + 15

Thread 3 (id: 291027):
0   libsystem_kernel.dylib        	0x00007fff20333b52
1   com.avast.fileshield          	0x000000010abd2925
2   com.avast.fileshield          	0x000000010ac09c3d
3   com.avast.fileshield          	0x000000010ac09ffe
4   libsystem_pthread.dylib       	0x00007fff203688fc _pthread_start + 224
5   libsystem_pthread.dylib       	0x00007fff20364443 thread_start + 15

Binary Images:
                 0 - 0xffffffffffffffff  com.avast.fileshield (0) <8bb8fa67-3c04-38bd-ba62-39685aa6a3b7> /Applications/Avast.app/Contents/Backend/services/com.avast.fileshield
    0x7fff202c6000 -     0x7fff2031bff7  libc++.1.dylib (905.6) <f4ec1a92-1dfc-3228-9868-5377eb375100> /usr/lib/libc++.1.dylib
                 0 - 0xffffffffffffffff  libsystem_kernel.dylib (7195.141.2) <b51dea59-1260-35c6-b7b6-aa6d8459ecec> /usr/lib/system/libsystem_kernel.dylib
    0x7fff20362000 -     0x7fff2036dfff  libsystem_pthread.dylib (454.120.2) <b1a74420-49e9-32fc-bfcb-e53550236a23> /usr/lib/system/libsystem_pthread.dylib
    0x7fff2036e000 -     0x7fff203a9ff7  libdyld.dylib (852.2) <11007de4-abe1-3079-bf1c-4d0eada884dd> /usr/lib/system/libdyld.dylib
errore	12:09:48.322016+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
errore	12:09:48.323312+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
errore	12:09:48.382766+0200	1Password 7	nw_resolver_start_query_timer_block_invoke [C10] Query fired: did not receive all answers in time for Hostname#720b8538:443
errore	12:09:48.554178+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/SystemConfiguration.plist
errore	12:09:48.561657+0200	kernel	System Policy: com.avast.filesh(9593) deny(1) file-read-data /private/var/db/lockdown/00008020-000825AA0109002E.plist
screen2.txt (49,270 bytes)   

admin

2021-09-03 12:20

administrator   ~0000648

Last edited: 2021-09-03 12:21

Apple sandbox is a pain in the ass, I'm pretty sure the mounted folder can't be fully accessible from sandboxed apps like VD but the OS doesn't give a comprehensible error.

VisualDiffer makes a simple operation, it asks the OS to copy a file no special actions so why on mounted folders the behavior is wrong? I will investigate whe setup the ssh env, consider I don't know fuse and I don't have ssh server to I need some time to "emulate" a working environment

admin

2021-09-03 14:44

administrator   ~0000650

Bad news, on my system everything works fine

1. installed fuse + sshfs on mac1
2. enabled ssh server on mac2 (from MacOS preferences)
3. copied tiny and big files on both directions
4. tested overwriting (used md5 to check copied files)

My command to mount the host uses the password instead of the ssh keys

sshfs dave@mac2: ~/ssh_test

Tomorrow I will run other tests, I hope to reproduce the bug

admin

2021-09-04 09:02

administrator   ~0000651

I tried again and I'm unable to reproduce the nasty bug (is it a bug???)

Now I use the the public key instead of the password to login but this is irrelevant.

I created the script shown below just to simulated your env (with same files size)

mkdir data
head -c 57 </dev/urandom >data/.env
head -c 1400 </dev/urandom >data/.gitignore
head -c 618 </dev/urandom >data/NOTE
head -c 2142 </dev/urandom >data/visual.vdiff
head -c 10000 </dev/urandom >data/10_000.bin

I copied the files in both direction without any loss
I overwritted the files without any loss

The only problem I found was the presence of many files in the form "._xxxx", but I resolved it running sshfs as shown below

sshfs -o allow_other,noapplexattr,noappledouble dave@mac2: ~/mnt/sil/

Honestly I'm not sure the wrong behaviour you have is due to a VD bug I suppose it is related to some Apple (maybe Fuse) hidden setting or a mix of Vd bug plus Apple/Fuse incoherence

I'm really sorry I can't help you, I want happy VD users but I need to replicate the bug to fix it

bimbomix1

2021-09-04 09:10

reporter   ~0000652

You did really a lot .. today i check more deeply the problem, maybe i found some usefull error.
Really you did a lot i'm really happy for this software!

Can you write me fuse and sshfs version ?

admin

2021-09-04 09:34

administrator   ~0000653

Last edited: 2021-09-04 09:34

The installation was (strangely) very easy, apps download from official web site

macFUSE 4.1.2
SSHFS 2.5.0

Directly from the site https://osxfuse.github.io/

on the right there are the links

https://github.com/osxfuse/osxfuse/releases/download/macfuse-4.1.2/macfuse-4.1.2.dmg
https://github.com/osxfuse/sshfs/releases/download/osxfuse-sshfs-2.5.0/sshfs-2.5.0.pkg

Installed on MacOS 11.5.2 (20G95) both client and server

admin

2021-09-04 11:56

administrator   ~0000654

Maybe you can try if something changes (using sshfs_sync)

https://github.com/billziss-gh/sshfs-win/issues/11#issuecomment-354384605

The faq at https://github.com/osxfuse/sshfs/blob/master/FAQ#L109 says doesn't make sense but maybe it helps

Maybe is useless to enable debug but it's another option

https://github.com/billziss-gh/sshfs-win/issues/11#issuecomment-314657811

bimbomix1

2021-09-04 17:40

reporter   ~0000655

i found the problem
i think is in this message

Visual Differ [3263] Unable to quarantine `/Users/myuser/mnt/myproject/visual.vdiff': 1 (error suppressed)

admin

2021-09-05 08:33

administrator   ~0000656

mmm this can't be the problem but if everything works fine I'm astomished!!
You can delete the vdiff file, it contains only the comparison session settings maybe you can remove the quarantine flag (eg xattr -dr com.apple.quarantine visual.vdiff)

Issue History

Date Modified Username Field Change
2021-09-02 07:04 bimbomix1 New Issue
2021-09-02 07:04 bimbomix1 Status new => assigned
2021-09-02 07:04 bimbomix1 Assigned To => admin
2021-09-02 10:56 admin Note Added: 0000639
2021-09-02 15:12 bimbomix1 Note Added: 0000640
2021-09-02 16:01 bimbomix1 File Added: Schermata 2021-09-02 alle 15.58.29.png
2021-09-02 16:01 bimbomix1 File Added: Schermata 2021-09-02 alle 15.58.21.png
2021-09-02 16:01 bimbomix1 File Added: Schermata 2021-09-02 alle 15.58.10.png
2021-09-02 16:01 bimbomix1 File Added: Schermata 2021-09-02 alle 15.58.02.png
2021-09-02 16:01 bimbomix1 File Added: Schermata 2021-09-02 alle 15.57.46.png
2021-09-02 16:01 bimbomix1 File Added: Schermata 2021-09-02 alle 15.57.25.png
2021-09-02 16:01 bimbomix1 Note Added: 0000641
2021-09-02 16:03 bimbomix1 Note Added: 0000642
2021-09-02 16:03 bimbomix1 Note Added: 0000643
2021-09-03 05:53 admin Note Added: 0000644
2021-09-03 09:33 admin Note Added: 0000645
2021-09-03 12:08 bimbomix1 File Added: Schermata 2021-09-03 alle 11.58.37.png
2021-09-03 12:08 bimbomix1 File Added: Schermata 2021-09-03 alle 11.58.28.png
2021-09-03 12:08 bimbomix1 File Added: Schermata 2021-09-03 alle 12.01.40.png
2021-09-03 12:08 bimbomix1 File Added: Schermata 2021-09-03 alle 12.02.59.png
2021-09-03 12:08 bimbomix1 File Added: screen.txt
2021-09-03 12:08 bimbomix1 Note Added: 0000646
2021-09-03 12:08 bimbomix1 Note Added: 0000647
2021-09-03 12:10 bimbomix1 File Added: screen2.txt
2021-09-03 12:20 admin Note Added: 0000648
2021-09-03 12:21 admin Note Edited: 0000648
2021-09-03 14:44 admin Note Added: 0000650
2021-09-04 09:02 admin Note Added: 0000651
2021-09-04 09:10 bimbomix1 Note Added: 0000652
2021-09-04 09:34 admin Note Added: 0000653
2021-09-04 09:34 admin Note Edited: 0000653
2021-09-04 11:56 admin Note Added: 0000654
2021-09-04 17:40 bimbomix1 Note Added: 0000655
2021-09-05 08:33 admin Note Added: 0000656
2022-01-03 10:37 admin Status assigned => closed
2022-01-03 10:37 admin Resolution open => unable to reproduce